cgGetParameterClassEnum(3)

NAME
cgGetParameterClassEnum - get the enumerant associated with a parameter class name

SYNOPSIS
  #include <Cg/cg.h>

  CGparameterclass cgGetParameterClassEnum( const char * pString );

PARAMETERS

pString
    A string containing the case-sensitive parameter class name.

RETURN VALUES
Returns the parameter class enumerant associated with pString.

Returns CG_PARAMETERCLASS_UNKNOWN if the given parameter class does not exist.

DESCRIPTION
cgGetParameterClassEnum returns the enumerant associated with a parameter class name.

EXAMPLES
  CGparameterclass structParameterClass = cgGetParameterClassEnum("struct");

  if(cgGetParameterClassEnum(myparam) == structParameterClass)
  {
    /* Do struct stuff */
  }

ERRORS
CG_INVALID_PARAMETER_ERROR is generated if pString is NULL.

HISTORY
cgGetParameterClassEnum was introduced in Cg 2.2.

SEE ALSO
cgGetParameterClassString, cgGetParameterClass, cgGetTypeClass